{# _datamax/api/templates/api_exchange/add.html_ #}
{% extends "api_exchange_layout.html" %}

{% block body %}
<a class="card-link" href="#">
    <h5 class="card-title">API Summary&ensp;&ensp;
        <a tabindex="0" role="button" data-toggle="popover"
           data-trigger="focus" data-html="true" title="How this works?"
           data-content="Categories are identified based on the input provided while creating new APIs. <br/>
                         <b>WIP</b>: <code>Controller</code> based API identification.">
            <i class="fas fa-info-circle"></i>
        </a>
    </h5>
</a>
<br/>


<div class="category row">

</div>


<script>
    $(document).ready(function(){
         $('[data-toggle="popover"]').popover();

        $.ajax({
            type: "GET",
            url: "{{ url_for('api_exchange.list_category') }}",
            data: '',
            success: function(data){
              $.each(data.Contents, function(index, val){
                $(".category").append('<div class="col-md-2 mb-4"><div class="card">\
                <a href="{{ url_for('views_exchange.summary_api') }}?name=' + val.category + '">\
                <img src="https://ui-avatars.com/api/?name=' + val.category + '&size=512&background=EEE9E9" alt="' + val.category + '" class="img-thumbnail">\
                </a>\
                <div class="card-body">\
                <p class="card-text">' + val.category + ' (' + val.count + ') </p>\
                </div>\
                </div></div>');
              });
            }
        });
    });
</script>

{% endblock %}